
struct VsInput
{
  float2 pos       : POSITION;
  float  f         : TEXCOORD0;
};

struct VsOutput
{
  float4 pos       : POSITION;
  float  f         : TEXCOORD0;
};


float4 tm          : register(c16);


VsOutput vsh(VsInput I)
{
  VsOutput O;
  O.pos=float4(I.pos.xy*tm.xy+tm.zw, 1, 1);
  O.f=I.f;
  return O;
}


sampler tex : register(s0);


float4 psh(VsOutput I) : COLOR
{
  return I.f;
}
